// VHS demo script
// Displays the bottom side of a pcb job in realistic colors

sHomePath = System.getenv("HOME");
colorOptions = [{"Default","Rigid - Gold","Rigid - Silver"}];
promptStart();
	sColorOption = promptOption("PCB Colors : ", colorOptions, "Please Select");
promptEnd();

if (sColorOption.equals("Rigid - Gold")){
	sColorDB = "ucamcolor_rigid_gold.db";
}
if (sColorOption.equals("Rigid - Silver")){
	sColorDB = "ucamcolor_rigid_silver.db";
}
if (!(sColorOption.equals("Rigid - Silver") || sColorOption.equals("Rigid - Gold"))){
	sColorDB = "ucamcolor.db";
}

configPath = sHomePath + "\\" + sColorDB;
Ucolor.cO.load(configPath);

hideAll();
activate("all", "", false);
iSignalCount = 0;
forEachSignal(){
	iSignalCount++;
}

forEachDrill(){
	if (layTo() == iSignalCount){
		setInPlaneByName(4, layName(), false);
	}
}
info = forEachItem(getLayers()){
	if (info[LAYER_CLASS].equals("layer") && info[LAYER_INDEX] == iSignalCount){
		setInPlaneByName(1, info[LAYER_NAME], false);
	}
	if (info[LAYER_SUBCLASS].equals("mask") && info[LAYER_ATTACH].equals("bottom")){
		setInPlaneByName(2, info[LAYER_NAME], false);
	}
	if (info[LAYER_SUBCLASS].equals("outline")){
		setInPlaneByName(3, info[LAYER_NAME], false);
	}
	if (info[LAYER_SUBCLASS].equals("silk") && info[LAYER_ATTACH].equals("bottom")){
		setInPlaneByName(5, info[LAYER_NAME], false);
	}
}
viewZoomTotal();

promptStart();
	bVar = promptBoolean("Revert to Default Colors", true);
promptEnd();
if (bVar){
	configPath = sHomePath + "\\ucamcolor.db";
	Ucolor.cO.load(configPath);
}